/*
 * Обработчик изменения состояния задачи
 */
$(function() {
	//обработчик клика по полю состояния записи
	//открываем список состояний
	$('#updateNoteState').click(function(e) {
		$('#statesList').css('display', 'block');
	});
	
	//обработчики клика по строке в списке состояний
	$('.state_item').click(function(e) {
		$('#updateNoteState').html($(this).html());
		$('#statesList').css('display', 'none');
	}).hover(function() {
		$(this).addClass('selected');
	}, function() {
		$(this).removeClass('selected');
	});

	//создаем обработчик нажатия на кнопку "Обновить"
	$('#updatenote form').submit(function(e) {

		if ($.todo.checkFields('updatenote')) {
			var noteText = $('#updateNoteText');
			var noteDate = $('#updateNoteDate');
			var noteState = $('#updateNoteState img').attr('alt');
			//если правильно - отправляем данные
			$.post('http://' + window.location.host + '/main/updatenote'
				, {n_id:$.todo.curNote
					, n_text:noteText.val()
					, n_date:noteDate.val()
					, n_state:noteState}
				, function(reply) {
					if (reply.status == 'OK') {
						//закрываем диалог
						$.todo.curTrigger.overlay().close();
                        // обновляем запись
						var curRow = $('#note_' + reply.id);
						curRow.find('img.note_state').attr('src', reply.new_img).attr('alt', reply.new_state);
						curRow.find('td.note_text pre').html(reply.new_text);
						curRow.find('td.note_date').html(reply.new_date);
					}
					//если получено описание ошибки - показываем его
					else {
						$('#updatenote div.error_message').html(reply.message);
					}
				}
				, 'json'
			);
		}
		
		//блокируем отправку данных формы обычным способом
		return e.preventDefault();
	});
});