-- phpMyAdmin SQL Dump
-- version 3.1.3.1
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Сен 17 2009 г., 13:24
-- Версия сервера: 5.1.33
-- Версия PHP: 5.2.9-2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `tododb`
--

-- --------------------------------------------------------

--
-- Структура таблицы `st_groups`
--

DROP TABLE IF EXISTS `st_groups`;
CREATE TABLE IF NOT EXISTS `st_groups` (
  `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `st_groups`
--

INSERT INTO `st_groups` (`id`, `name`, `description`) VALUES
(1, 'owner', 'ToDo list owner');

-- --------------------------------------------------------

--
-- Структура таблицы `st_meta`
--

DROP TABLE IF EXISTS `st_meta`;
CREATE TABLE IF NOT EXISTS `st_meta` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` mediumint(8) unsigned NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Дамп данных таблицы `st_meta`
--

INSERT INTO `st_meta` (`id`, `user_id`, `first_name`, `last_name`) VALUES
(12, 11, '0', '0');

-- --------------------------------------------------------

--
-- Структура таблицы `st_options`
--

DROP TABLE IF EXISTS `st_options`;
CREATE TABLE IF NOT EXISTS `st_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `o_user_id` int(11) NOT NULL,
  `o_key` varchar(100) NOT NULL,
  `o_value` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `st_options`
--

INSERT INTO `st_options` (`id`, `o_user_id`, `o_key`, `o_value`) VALUES
(3, 11, 'language', 'russian');

-- --------------------------------------------------------

--
-- Структура таблицы `st_sessions`
--

DROP TABLE IF EXISTS `st_sessions`;
CREATE TABLE IF NOT EXISTS `st_sessions` (
  `session_id` varchar(40) NOT NULL DEFAULT '0',
  `ip_address` varchar(16) NOT NULL DEFAULT '0',
  `user_agent` varchar(50) NOT NULL,
  `last_activity` int(10) unsigned NOT NULL DEFAULT '0',
  `user_data` mediumtext NOT NULL,
  PRIMARY KEY (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `st_sessions`
--


-- --------------------------------------------------------

--
-- Структура таблицы `st_todonotes`
--

DROP TABLE IF EXISTS `st_todonotes`;
CREATE TABLE IF NOT EXISTS `st_todonotes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `td_state` enum('NEW','START','HALF','DONE','CANCELED','DELEGATED','IMPORTANT','ATTENTION') NOT NULL,
  `td_text` text NOT NULL,
  `td_date` date NOT NULL,
  `td_user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=57 ;

--
-- Дамп данных таблицы `st_todonotes`
--

INSERT INTO `st_todonotes` (`id`, `td_state`, `td_text`, `td_date`, `td_user_id`) VALUES
(56, 'IMPORTANT', 'Donec ultricies viverra quam,\ncongue tempor justo tristique porttitor. ', '2009-09-20', 11),
(52, 'HALF', 'Lorem ipsum dolor sit amet,\nconsectetur adipiscing elit.\n\nEtiam at purus quis nunc auctor consequat.', '2009-09-18', 11),
(53, 'NEW', 'Vestibulum ante ipsum primis in\nfaucibus orci luctus et ultrices\nposuere cubilia Curae;\n\nUt vel mattis magna.', '2009-09-19', 11),
(54, 'START', 'Sed et nunc a felis facilisis porta.\n\nNulla felis sapien, cursus mattis \nauctor non, vehicula at ante.', '2009-09-20', 11),
(55, 'DELEGATED', 'Aliquam vel nibh ut sapien\ncommodo posuere eget eget felis.\nDuis justo nisi, cursus nec pharetra ut, ultricies nec mi.', '2009-09-19', 11);

-- --------------------------------------------------------

--
-- Структура таблицы `st_users`
--

DROP TABLE IF EXISTS `st_users`;
CREATE TABLE IF NOT EXISTS `st_users` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `group_id` mediumint(8) unsigned NOT NULL,
  `ip_address` char(16) NOT NULL,
  `username` varchar(15) NOT NULL,
  `password` varchar(40) NOT NULL,
  `email` varchar(40) NOT NULL,
  `activation_code` varchar(40) NOT NULL DEFAULT '0',
  `forgotten_password_code` varchar(40) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `st_users`
--

INSERT INTO `st_users` (`id`, `group_id`, `ip_address`, `username`, `password`, `email`, `activation_code`, `forgotten_password_code`) VALUES
(11, 1, '127.0.0.1', 'Admin', '7fcdff8a384c350d2e55688575a36903f6f755e2', 'admin@todo.loc', '0', '0');
