<?php echo form_open('main/filters', array('id'=>'filters')); ?>
	<div class="left">
	<p class="odd">
	<label for="state_new"><?php echo lang('modal_new'); ?></label>
	<input type="checkbox" name="state[]" value="NEW" id="state_new" <?php echo set_checkbox('state[]', 'NEW', TRUE); ?> />
	</p>
	<p>
	<label for="state_start"><?php echo lang('modal_start'); ?></label>
	<input type="checkbox" name="state[]" value="START" id="state_start" <?php echo set_checkbox('state[]', 'START'); ?> />
	</p>
	<p class="odd">
	<label for="state_half"><?php echo lang('modal_half'); ?></label>
	<input type="checkbox" name="state[]" value="HALF" id="state_half" <?php echo set_checkbox('state[]', 'HALF'); ?> />
	</p>
	<p>
	<label for="state_done"><?php echo lang('modal_done'); ?></label>
	<input type="checkbox" name="state[]" value="DONE" id="state_done" <?php echo set_checkbox('state[]', 'DONE'); ?> />
	</p>
	<p class="odd">
	<label for="state_canceled"><?php echo lang('modal_canceled'); ?></label>
	<input type="checkbox" name="state[]" value="CANCELED" id="state_canceled" <?php echo set_checkbox('state[]', 'CANCELED'); ?> />
	</p>
	<p>
	<label for="state_delegated"><?php echo lang('modal_delegated'); ?></label>
	<input type="checkbox" name="state[]" value="DELEGATED" id="state_delegated" <?php echo set_checkbox('state[]', 'DELEGATED'); ?> />
	</p>
	<p class="odd">
	<label for="state_important"><?php echo lang('modal_important'); ?></label>
	<input type="checkbox" name="state[]" value="IMPORTANT" id="state_important" <?php echo set_checkbox('state[]', 'IMPORTANT'); ?> />
	</p>
	<p>
	<label for="state_attention"><?php echo lang('modal_attention'); ?></label>
	<input type="checkbox" name="state[]" value="ATTENTION" id="state_attention" <?php echo set_checkbox('state[]', 'ATTENTION'); ?> />
	</p>
	</div> <!-- end of left -->
	<div class="right">
	<?php echo form_error('from_date'); ?>
	<p class="odd">
	<label for="from_date"><?php echo lang('filters_search_from'); ?></label>
	<input type="text" name="from_date" id="from_date" value="<?php echo set_value('from_date', date('Y-m-d', time() - 5*24*60*60)); ?>" />
	</p>
	<?php echo form_error('to_date'); ?>
	<p>
	<label for="to_date"><?php echo lang('filters_search_to'); ?></label>
	<input type="text" name="to_date" id="to_date" value="<?php echo set_value('to_date', date('Y-m-d', time() + 5*24*60*60)); ?>" />
	</p>
	</div> <!-- end of right -->
	<div class="clear"><input type="submit" name="filterSbm" id="filterSbm" value="<?php echo lang('filters_search'); ?>" />
	</div>
</form>

<?php if ($hasResults) { ?>
	<h2><?php echo lang('filters_results'); ?></h2>
<?php }
if ($searchDone && !$hasResults) { ?>
	<h2><?php echo lang('filters_not_found'); ?></h2>
<?php } ?>