<div class="modal" id="newnote">
	<h2><?php echo lang('modal_new_note'); ?></h2>
	<h3><?php echo lang('modal_tip'); ?></h3>
	<div class="error_message"></div>
	<form action="#" method="post">
		<p>
			<label for="newNoteText"><?php echo lang('todolist_text'); ?></label>
			<textarea name="notetext" id="newNoteText" rows="3" cols="10" title="<?php echo lang('modal_text_tip'); ?>"></textarea>
		</p>
		<p>
			<label for="newNoteDate"><?php echo lang('todolist_date'); ?></label>
			<input type="text" name="notedate" id="newNoteDate" value="" title="<?php echo lang('modal_date_tip'); ?>" />
		</p>
		<p>
			<input type="submit" name="bnew" value="<?php echo lang('modal_create'); ?>" id="bnew" />
			<input type="button" name="bcancel" class="close bcancel" value="<?php echo lang('modal_cancel'); ?>" id="b_n_cancel" />
		</p>
	</form>
	<div id="newnotetip">&nbsp;</div>
</div>

<div class="modal" id="updatenote">
	<h2><?php echo lang('modal_update_note'); ?></h2>
	<h3><?php echo lang('modal_tip'); ?></h3>
	<div class="error_message"></div>
	<form action="#" method="post">
		<div class="notestates">
			<label for="updateNoteState"><?php echo lang('todolist_state'); ?></label>
			<span id="updateNoteState"></span>
			<div id="statesList" title="<?php echo lang('todolist_state'); ?>">
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_01.png" alt="NEW" /><span><?php echo lang('modal_new'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_02.png" alt="START" /><span><?php echo lang('modal_start'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_03.png" alt="HALF" /><span><?php echo lang('modal_half'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_04.png" alt="DONE" /><span><?php echo lang('modal_done'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_05.png" alt="CANCELED" /><span><?php echo lang('modal_canceled'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_06.png" alt="DELEGATED" /><span><?php echo lang('modal_delegated'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_07.png" alt="IMPORTANT" /><span><?php echo lang('modal_important'); ?></span></div>
			    <div class="state_item"><img src="<?php echo base_url(); ?>images/state_08.png" alt="ATTENTION" /><span><?php echo lang('modal_attention'); ?></span></div>
			</div>
		</div>
		<p>
			<label for="updateNoteText"><?php echo lang('todolist_text'); ?></label>
			<textarea name="notetext" id="updateNoteText" rows="3" cols="10" title="<?php echo lang('modal_text_tip'); ?>"></textarea>
		</p>
		<p>
			<label for="updateNoteDate"><?php echo lang('todolist_date'); ?></label>
			<input type="text" name="notedate" id="updateNoteDate" value="" title="<?php echo lang('modal_date_tip'); ?>" />
		</p>
		<p>
			<input type="submit" name="bupdate" value="<?php echo lang('modal_update'); ?>" id="bupdate" />
			<input type="button" name="bcancel" class="close bcancel" value="<?php echo lang('modal_cancel'); ?>" id="b_u_cancel" />
		</p>
	</form>
	<div id="updatenotetip">&nbsp;</div>
</div>

<div class="modal" id="removenote">
	<h2><?php echo lang('modal_delete_note'); ?></h2>
	<div class="error_message"></div>
	<form action="#" method="post">
		<p>
			<input type="submit" name="bremove" value="<?php echo lang('modal_delete'); ?>" id="bremove" />
			<input type="button" name="bcancel" class="close bcancel" value="<?php echo lang('modal_cancel'); ?>" id="b_r_cancel" />
		</p>
	</form>
</div>

<div id="footer">
	<p><?php echo lang('modal_author'); ?>, <a href="http://www.simplecoding.org">www.simplecoding.org</a></p>
	<p>Built on <a href="http://codeigniter.com">CodeIgniter</a></p>
</div>
</div>

<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery.tools.min.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/vitch-jquery-methods/date.js"></script>
<?php
//загрузка переводов для русского языка
if ($curLanguage == 'russian') {
?>
	<script type="text/javascript" src="<?php echo base_url(); ?>js/vitch-jquery-methods/date_ru_utf8.js"></script>
<?php
}
?>
<script type="text/javascript" src="<?php echo base_url(); ?>js/todo-<?php echo $curLanguage; ?>.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery.datePicker.min-2.1.2.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/todolist.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery.todonote.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/new-note.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/remove-note.js"></script>
<script type="text/javascript" src="<?php echo base_url(); ?>js/update-note.js"></script>
<?php if ($this->uri->segment(2) === 'filters') { ?>
	<script type="text/javascript" src="<?php echo base_url(); ?>js/filters.js"></script>
<?php } ?>
</body>
</html>