<?php if ($notes == false) { ?>
<h2 class="nonotes"><?php echo lang('notes_empty'); ?></h2>
<?php } else { ?>
<?php
    $states = array(
        'NEW' => 'state_01.png'
        ,'START' => 'state_02.png'
        ,'HALF' => 'state_03.png'
        ,'DONE' => 'state_04.png'
        ,'CANCELED' => 'state_05.png'
        ,'DELEGATED' => 'state_06.png'
        ,'IMPORTANT' => 'state_07.png'
        ,'ATTENTION' => 'state_08.png');
?>
<table id="noteslist">
	<tr class="table_header">
		<th scope="col" class="noteState"><?php echo lang('todolist_state'); ?></th>
		<th scope="col" class="noteText"><?php echo lang('todolist_text'); ?></th>
		<th scope="col" class="noteDate"><?php echo lang('todolist_date'); ?></th>
		<th scope="col" class="noteUpdate"></th>
		<th scope="col" class="noteDelete"></th>
	</tr>
    <?php
    foreach ($notes as $note) {
        echo '<tr id="note_'.$note->id.'">';
        echo '<td><img class="note_state" src="'.base_url().'images/'.$states[$note->td_state].'" alt="'.$note->td_state.'" /></td>';
        echo '<td class="note_text"><pre id="note_text_'.$note->id.'">'.$note->td_text.'</pre></td>';
        echo '<td class="note_date" id="note_date_'.$note->id.'">'.$note->td_date.'</td>';
        echo '<td><a href="#" rel="#updatenote" class="updateNote" title="'.lang('update_link').'">'.lang('update_link').'</a></td>';
        echo '<td><a href="#" rel="#removenote" class="removeNote" title="'.lang('remove_link').'">'.lang('remove_link').'</a></td>';
        echo '</tr>';
    }
    ?>
</table>
<?php } ?>